Download it now!
Bug 83755 - CJK: Space indicator (middle dot) is positioned to the right in Noto Sans / Source Han Sans for Latin text
Summary: CJK: Space indicator (middle dot) is positioned to the right in Noto Sans / S...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.1.1 rc
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.2.0
Keywords:
Depends on:
Blocks: CJK
  Show dependency treegraph
 
Reported: 2014-09-11 09:15 UTC by V字龍(Vdragon)
Modified: 2016-09-16 16:55 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Space indicator is not centered and is biased to right side. (235.66 KB, image/jpeg)
2014-09-11 09:15 UTC, V字龍(Vdragon)
Details
Example document (16.72 KB, application/vnd.oasis.opendocument.text)
2014-09-11 09:17 UTC, V字龍(Vdragon)
Details
ODT example with four Chinese fonts LOv4312 (26.82 KB, application/vnd.oasis.opendocument.text)
2014-09-15 13:28 UTC, Owen Genat (retired)
Details
Screenshot of example with four Chinese fonts LOv4312 (105.05 KB, image/png)
2014-09-15 13:29 UTC, Owen Genat (retired)
Details
ODT example with four Chinese fonts LOv4312 (27.33 KB, application/vnd.oasis.opendocument.text)
2014-09-15 13:45 UTC, Owen Genat (retired)
Details
Screenshot of example with four Chinese fonts LOv4312 (97.28 KB, image/png)
2014-09-15 13:46 UTC, Owen Genat (retired)
Details
Cause analysis (6.22 KB, image/png)
2015-11-22 07:26 UTC, Mark Hung
Details

Note You need to log in before you can comment on or make changes to this bug.
Description V字龍(Vdragon) 2014-09-11 09:15:45 UTC
Created attachment 106115 [details]
Space indicator is not centered and is biased to right side.

Space indicator is not centered and is biased to right side in my document as the attached screenshot depicts, which is quite disturbing.
Comment 1 V字龍(Vdragon) 2014-09-11 09:17:47 UTC
Created attachment 106116 [details]
Example document
Comment 2 Urmas 2014-09-11 12:58:15 UTC
Does it look right with some stock font?
Comment 3 Owen Genat (retired) 2014-09-15 13:28:43 UTC
Created attachment 106314 [details]
ODT example with four Chinese fonts LOv4312

(In reply to comment #2)
> Does it look right with some stock font?

I have created a new example using one Mac OS X font (Hiragino Maru) and three other freely available fonts (Noto Sans, Source Sans Pro, and WenQuanYi Zen Hei). Tested under GNU/Linux using:

- v3.5.7.2 Build ID: 3215f89-f603614-ab984f2-7348103-1225a5b
- v4.1.6.2 Build ID: 40ff705089295be5be0aae9b15123f687c05b0a
- v4.2.6.3 Build ID: 3fd416d4c6db7d3204c17ce57a1d70f6e531ee21
- v4.3.1.2 Build ID: 958349dc3b25111dbca392fbc281a05559ef6848
- v4.4.0.0.alpha0+ Build ID: 037d03b9facb414ba6be01fa6ee92fc7ca89f70c TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2014-09-11_00:32:52

All versions display the same problem with the middle dot (indicating a SPACE in Latin text) too far to the right in Noto Sans. Not sure it is an LO bug or problem with the font. Screenshot to follow.
Comment 4 Owen Genat (retired) 2014-09-15 13:29:55 UTC
Created attachment 106315 [details]
Screenshot of example with four Chinese fonts LOv4312
Comment 5 Owen Genat (retired) 2014-09-15 13:36:07 UTC
Status set to NEW (developer to determine if this is rendering issue in LO or font issue). Summary amended for clarity. Platform set to All/Linux.
Comment 6 Owen Genat (retired) 2014-09-15 13:45:47 UTC
Created attachment 106318 [details]
ODT example with four Chinese fonts LOv4312

(In reply to comment #3)
> three other freely available fonts (... Source Sans Pro

Ugh. I selected the wrong font. s/Source Sans Pro/Source Han Sans/ New version attached. Retested under same versions of LO.

> All versions display the same problem with the middle dot (indicating a
> SPACE in Latin text) too far to the right in Noto Sans. 

... and in Source Han Sans (which is to be expected since this is the same font as Noto Sans).
Comment 7 Owen Genat (retired) 2014-09-15 13:46:30 UTC
Created attachment 106319 [details]
Screenshot of example with four Chinese fonts LOv4312
Comment 8 QA Administrators 2015-10-14 19:56:20 UTC Comment hidden (obsolete)
Comment 9 Mark Hung 2015-11-22 07:26:10 UTC
Created attachment 120715 [details]
Cause analysis

The issues still exist in 5.0.3.

The bullet used to indicate space is drawn above the space. However if the bullet of the font is wider than the space of the font, it seems closer to the next character.
Comment 10 Commit Notification 2015-12-19 12:40:18 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e32fd5e8671b787dfc6795f3109c616974fe2594

tdf#83755 correct non-printing character position

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Xisco Faulí 2016-09-15 20:38:49 UTC
Hi,
Is this bug fixed?
If so, could you please close it?
Regards